Bug 48017 - Language Modules disappear with Roaming Profile
Summary: Language Modules disappear with Roaming Profile
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: x86 (IA32) Windows (All)
: medium minor
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-28 20:29 UTC by Thomas
Modified: 2014-07-07 09:55 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas 2012-03-28 20:29:16 UTC
I am running LibreOffice in a 2008 R2 RDS (Remote Desktop Services) environment. We have many servers running LibreOffice. Users have their application data folder redirected to a network location.

Consider the following scenario with the environment above:

1. User A and B open LibreOffice running on server 1
2. User A and B close LibreOffice
3. User A opens LibreOffice and it runs on server 2. User A will not have Language Modules and spellcheck will fail to work
4. User B opens LibreOffice and it runs on server 1. Users B will have Language Modules and spellcheck will work
5. If User A closes LibreOffice on server 2 and opens it on Server 1. Language Modules will be there, and spellcheck will work

It seems that when LibreOffice first runs it saves something that relates to the computer that it was first run on. So long as LibreOffice continues to run on that computer (or server) spellcheck will continue to work.

However as this is a RDS environment, it is very likely that users will run LibreOffice on other computers. 

I tracked the issue down to the LibreOffice/3/user/extensions folder. If I delete this folder it will re-create the next time LibreOffice is run and spellcheck will work correctly. Indeed all I really need to do is delete a lastsynchronized file.

While I have a workaround (deleting the lastsynchronized file when the user logs off), its not exactly elegant. If this can be fixed I would appreciate it.
Comment 1 Andreas Berger 2012-06-01 03:31:57 UTC
I can only chime in with a "me too", and add that even creating a brand new profile does not make spellcheck work. I tried just removing the extensions folder first. We're running Swedish UI, if that makes any difference. None of the spellchecks work, not even the English one.

I dont know if it's somehow related, but the first time LO is run without a profile, it'll fire upp the soffice.exe and soffice.bin processes, create the profile, and then die. Subsequent runs sometimes start up as expected, other times it takes a really long time to start.
Comment 2 Andreas Berger 2012-06-01 04:30:05 UTC
I just checked, and it's the same on Windows 7 as well. If I go into the language options, the Hunspell option is nowhere to be found, neither is anything but the Lightproof options. 

For a regular user without redirected appdata, this works as expected.
Comment 3 Andreas Berger 2012-06-01 04:31:35 UTC
I forgot to mention both of the above from me was tested using LibreOffice 3.5.4...
Comment 4 bfoman (inactive) 2012-08-24 10:18:49 UTC
See also bug 50542.
Comment 5 tommy27 2013-09-14 06:17:30 UTC
is bug still present with current 4.0.5 or 4.1.1 final releases?
Comment 6 tommy27 2013-12-29 00:24:03 UTC
set status to NEEDINFO waiting for user feedback
Comment 7 Rafael Ugalde Beriain 2014-04-08 09:35:06 UTC
Same situation with LibreOffice 4.2.2 redirect %APPDATA% to shared folder : \\appdata\user01\Datos de programa lost SPELL dictionary funcionality. If this folder is local to the machine where the LibreOffice is working the spell dictionary works
Comment 8 Alberto Ruiz 2014-04-25 09:47:48 UTC
It seems like the problem is partially in hunspell, it collapses large file/folder names into old 8.3 file name format. The hunspell maintainer is aware.

Jan mentioned there might be some extra fixes needed in LO, he should probably add more details.

Let's party like it's 1989!
Comment 9 Jan Holesovsky 2014-04-25 10:16:16 UTC
Laszlo is on this - added him to CC.

Seems it is caused by the code here:

http://cgit.freedesktop.org/libreoffice/core/tree/lingucomponent/source/spellcheck/spell/sspellimp.cxx#n306

Unfortunately needs some changes to hunspell to be able to support wchar_t* filenames...
Comment 10 Commit Notification 2014-04-25 10:16:31 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e4b21e2d627de0c815370ed886ff95675bf28d1

fdo#48017 fix WIN32 long path name support of spelling dictionaries



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 László Németh 2014-04-25 10:22:56 UTC
Kendy: the previous patch has checked only partially (myfopen()/_wfopen() in wine/MinGW, the LibreOffice patch in a Linux build). If it works in a Windows build environment, solving the problem, I will fix the hyphenation and the thesaurus libraries, too, and remove the unnecessary Win_getShortPathName().
Comment 12 Rafael Ugalde Beriain 2014-04-26 08:04:13 UTC
Hello I test master~2014-04-26_00.32.11_LibreOfficeDev_4.3.0.0.alpha1_Win_x86, with spanish dictionary and the spellcheck is working.

My environment uses roaming profiles for users.

Thanks
Comment 13 tommy27 2014-04-26 08:17:08 UTC
@Rafael
does it mean it's fixed for you, right?
Comment 14 Rafael Ugalde Beriain 2014-04-26 08:21:33 UTC
Yes, I think it's fixed.
Comment 15 Thomas 2014-04-29 02:13:05 UTC
I cannot reproduce this issue with 4.3.0. But my environment has somewhat changed since I initially opened this bug. I haven't been able to reproduce the issue with 4.2.x either...

So I'm not sure whether this issue was fixed in earlier versions or not. Either way, at least in my case, this issue is resolved.

Thanks.
Comment 16 Commit Notification 2014-04-30 08:32:01 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=59906c3d54e6541185f4bf85b1d1c70530198059&h=libreoffice-4-2

fdo#48017 fix WIN32 long path name support of spelling dictionaries


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2014-05-22 23:07:42 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d06aa8ba83b7629603cd86cf14a63c432ce268f

fdo#48017 WIN32 long path support in Hyphen and MyThes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2014-05-22 23:18:59 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f98f4981cb29e84723128ab3839110526e33655&h=libreoffice-4-3

fdo#48017 WIN32 long path support in Hyphen and MyThes


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Cor Nouws 2014-05-23 07:24:52 UTC
(In reply to comment #18)
> Laszlo Nemeth committed a patch related to this issue.
> It has been pushed to "libreoffice-4-3":

Thanks !
Comment 20 László Németh 2014-05-23 12:51:30 UTC
All: thanks for your feedbacks!